QGIS Application - Feature request #14112
Node tool enhancement : freehand mode ( aka "click-click” mode)
2016-01-15 06:05 AM - Vincent Picavet

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Digitising

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 22116
Description

The current node displacement tool works with a drag & drop behaviour.

This issue propose to transform this behaviour into a freehand mode : click to get the node, move the mouse and click to "drop" it.

Advantages would be the following:
- improved snapping capabilities
- use of the keyboard while editing

integration with advanced digitzing (CAD)

possibility of canceling current operation with right click
- avoid unwanted move (sometimes a click on the map led to an unwanted node move)

Discussions on the mailing list :
https://lists.osgeo.org/pipermail/qgis-developer/2016-January/040962.html

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-05-06 11:07 PM - Regis Haubourg
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

Seems done :)

2025-04-27

1/1



https://lists.osgeo.org/pipermail/qgis-developer/2016-January/040962.html

